Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225720 - Merge Review: eject
Summary: Merge Review: eject
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:32 UTC by Nobody's working on this, feel free to take it
Modified: 2010-02-09 23:19 UTC (History)
3 users (show)

Fixed In Version: 2.1.5-17.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 17:09:42 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:32:03 UTC
Fedora Merge Review: eject

http://cvs.fedora.redhat.com/viewcvs/devel/eject/
Initial Owner: than@redhat.com

Comment 1 Ruben Kerkhof 2007-02-03 18:24:56 UTC
* RPM name is OK
* Source eject-2.1.5.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)

Minor:
* Duplicate BuildRequires: autoconf (by automake), automake (by libtool)

Notes:
* Please use {?dist} in Release tag


Comment 2 Kamil Dudka 2009-11-25 14:37:17 UTC
Thanks for review! I've just committed the changes and built it as eject-2.1.5-16.fc13.

Comment 3 Ruben Kerkhof 2009-11-25 21:37:19 UTC
Wow, it almost took 3 years ;-)

I'll have another look at the newer version soon.

Comment 4 Kamil Dudka 2009-11-25 21:56:28 UTC
(In reply to comment #3)
> Wow, it almost took 3 years ;-)

Glad to see the review is not actually dead! Sorry for the delay, I am new to eject, so that I somehow missed the bug before.

I've spotted yet another issue with eject. Its upstream seems to be dead and the source URL is no longer valid for 2.1.5. Moreover I didn't find any other mirror providing this version of eject. I don't know what's the proper way to deal with it. Any idea?

> I'll have another look at the newer version soon.

Thanks in advance!

Comment 5 Ruben Kerkhof 2009-11-25 22:11:58 UTC
I guess that just made Fedora the upstream :-)

If you want you can ask for a project on fedorahosted:
https://fedorahosted.org/web/new

Comment 6 Kamil Dudka 2009-11-25 23:11:03 UTC
A long term plan is to include its sources to linux-util-ng project. As a side effect we can share part of its code with other utilities (e.g. mount).

Comment 7 Ruben Kerkhof 2010-01-31 14:31:32 UTC
Can you please fix the rpmlint warnings?

eject.x86_64: W: no-dependency-on usermode
eject.x86_64: W: non-conffile-in-etc /etc/security/console.apps/eject
eject.x86_64: W: non-conffile-in-etc /etc/pam.d/eject

Comment 8 Kamil Dudka 2010-02-02 11:41:42 UTC
Thank you for the review!  All of them should be fixed in eject-2.1.5-17.fc13.

Comment 9 Ruben Kerkhof 2010-02-09 17:09:42 UTC
Thanks, I have no further comments, so this package is approved.


Note You need to log in before you can comment on or make changes to this bug.